## org.jfree.chart.plot
Class JThermometer

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.jfree.chart.plot.JThermometer

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

    public class JThermometer

extends javax.swing.JPanel
implements java.io.Serializable

An initial quick and dirty. The concept behind this class would be to generate a gui bean that could be used within JBuilder, Netbeans etc...

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JThermometer()` Default constructor.

Method Summary
`void` `addSubtitle(java.lang.String subtitle)` Adds a subtitle to the chart.
`void` `addSubtitle(java.lang.String subtitle, java.awt.Font font)` Adds a subtitle to the chart.
`void` `addSubtitle(Title subtitle)` Adds a subtitle to the chart.
`void` `changeTickFontSize(int delta)` Increases or decreases the tick font size.
`int` `getShowAxisLocation()` Returns the location for the axis.
`java.awt.Font` `getTickLabelFont()` Returns the tick label font.
`java.lang.Number` `getValue()` Returns the value of the thermometer.
`void` `setBackground(java.awt.Color bg)` Sets the background color.
`void` `setFollowDataInSubranges(boolean flag)` Sets the flag that controls whether or not the display range follows the data value.
`void` `setForeground(java.awt.Color fg)` Sets the foreground color.
`void` `setOutlinePaint(java.awt.Paint p)` Sets the outline paint.
`void` `setRange(double lower, double upper)` Sets the lower and upper bounds for the thermometer.
`void` `setShowAxisLocation(int location)` Sets the location for the axis.
`void` `setShowValueLines(boolean b)` Sets the flag that controls whether or not value lines are displayed.
`void` `setSubrangeInfo(int range, double displayLow, double displayHigh)` Sets the range.
`void` `setSubrangeInfo(int range, double rangeLow, double rangeHigh, double displayLow, double displayHigh)` Sets the range.
`void` `setTickFontStyle(int style)` Sets the tick font style.
`void` `setTickLabelFont(java.awt.Font font)` Sets the tick label font.
`void` `setUnits(int i)` Sets the unit type.
`void` `setValue(double value)` Sets the value of the thermometer.
`void` `setValue(java.lang.Number value)` Sets the value of the thermometer.
`void` `setValueFont(java.awt.Font f)` Sets the value font.
`void` `setValueFormat(java.text.DecimalFormat df)` Sets the value format for the thermometer.
`void` `setValueLocation(int loc)` Sets the location at which the temperature value is displayed.
`void` `setValuePaint(java.awt.Paint paint)` Sets the value paint.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JThermometer

    public JThermometer()

  Default constructor.

Method Detail

### addSubtitle

    public void addSubtitle(Title subtitle)

  Adds a subtitle to the chart.

  Parameters:
    `subtitle` - the subtitle.

### addSubtitle

    public void addSubtitle(java.lang.String subtitle)

  Adds a subtitle to the chart.

  Parameters:
    `subtitle` - the subtitle.

### addSubtitle

    public void addSubtitle(java.lang.String subtitle,
                            java.awt.Font font)

  Adds a subtitle to the chart.

  Parameters:
    `subtitle` - the subtitle.
    `font` - the subtitle font.

### setValueFormat

    public void setValueFormat(java.text.DecimalFormat df)

  Sets the value format for the thermometer.

  Parameters:
    `df` - the formatter.

### setRange

    public void setRange(double lower,
                         double upper)

  Sets the lower and upper bounds for the thermometer.

  Parameters:
    `lower` - the lower bound.
    `upper` - the upper bound.

### setSubrangeInfo

    public void setSubrangeInfo(int range,
                                double displayLow,
                                double displayHigh)

  Sets the range.

  Parameters:
    `range` - the range type.
    `displayLow` - the low value.
    `displayHigh` - the high value.

### setSubrangeInfo

    public void setSubrangeInfo(int range,
                                double rangeLow,
                                double rangeHigh,
                                double displayLow,
                                double displayHigh)

  Sets the range.

  Parameters:
    `range` - the range type.
    `rangeLow` - the low value for the range.
    `rangeHigh` - the high value for the range.
    `displayLow` - the low value for display.
    `displayHigh` - the high value for display.

### setValueLocation

    public void setValueLocation(int loc)

  Sets the location at which the temperature value is displayed.

  Parameters:
    `loc` - the location.

### setValuePaint

    public void setValuePaint(java.awt.Paint paint)

  Sets the value paint.

  Parameters:
    `paint` - the paint.

### getValue

    public java.lang.Number getValue()

  Returns the value of the thermometer.

  Returns:
    The value.

### setValue

    public void setValue(double value)

  Sets the value of the thermometer.

  Parameters:
    `value` - the value.

### setValue

    public void setValue(java.lang.Number value)

  Sets the value of the thermometer.

  Parameters:
    `value` - the value.

### setUnits

    public void setUnits(int i)

  Sets the unit type.

  Parameters:
    `i` - the unit type.

### setOutlinePaint

    public void setOutlinePaint(java.awt.Paint p)

  Sets the outline paint.

  Parameters:
    `p` - the paint.

### setForeground

    public void setForeground(java.awt.Color fg)

  Sets the foreground color.

  Overrides:
    `setForeground` in class `javax.swing.JComponent`
  Parameters:
    `fg` - the foreground color.

### setBackground

    public void setBackground(java.awt.Color bg)

  Sets the background color.

  Overrides:
    `setBackground` in class `javax.swing.JComponent`
  Parameters:
    `bg` - the background color.

### setValueFont

    public void setValueFont(java.awt.Font f)

  Sets the value font.

  Parameters:
    `f` - the font.

### getTickLabelFont

    public java.awt.Font getTickLabelFont()

  Returns the tick label font.

  Returns:
    The tick label font.

### setTickLabelFont

    public void setTickLabelFont(java.awt.Font font)

  Sets the tick label font.

  Parameters:
    `font` - the font.

### changeTickFontSize

    public void changeTickFontSize(int delta)

  Increases or decreases the tick font size.

  Parameters:
    `delta` - the change in size.

### setTickFontStyle

    public void setTickFontStyle(int style)

  Sets the tick font style.

  Parameters:
    `style` - the style.

### setFollowDataInSubranges

    public void setFollowDataInSubranges(boolean flag)

  Sets the flag that controls whether or not the display range follows the data value.

  Parameters:
    `flag` - the new value of the flag.

### setShowValueLines

    public void setShowValueLines(boolean b)

  Sets the flag that controls whether or not value lines are displayed.

  Parameters:
    `b` - the new flag value.

### setShowAxisLocation

    public void setShowAxisLocation(int location)

  Sets the location for the axis.

  Parameters:
    `location` - the location.

### getShowAxisLocation

    public int getShowAxisLocation()

  Returns the location for the axis.

  Returns:
    The location.